## pure-glpk-0.6.tar.gz

=== Makefile ===

# Package name and version number:
dist = pure-glpk-$(version)
version = 0.6

# compiler flags -- these can be overridden from the command line if needed,
# as well as CPPFLAGS, LDFLAGS and LIBS
CFLAGS = -O3
#CFLAGS = -g -O2

# platform-specific setup

DLL         = $(shell pkg-config pure --variable DLL)
PIC         = $(shell pkg-config pure --variable PIC)
shared      = $(shell pkg-config pure --variable shared)

prefix      = $(shell pkg-config pure --variable prefix)
bindir      = $(prefix)/bin
libdir      = $(shell pkg-config pure --variable libdir)

ODBCLIB = -lodbc

ifeq ($(DLL),.dylib)
# OSX: hardcode the installation path into the module, so that the module can
# be linked in by the batch compiler.
dllname = -install_name "$(libdir)/pure/$@"
endif

ifeq ($(DLL),.dll)
# Windows: This is needed to link with GMP and ODBC.
LDFLAGS = -Wl,--enable-auto-import
ODBCLIB = -lodbc32
endif

LIBS = $(ODBCLIB) -lglpk -lgmp -lltdl -lz

MOD_CFLAGS  = $(PIC) $(shell pkg-config pure --cflags) $(CFLAGS) $(CPPFLAGS)
MOD_LDFLAGS = $(shell pkg-config pure --libs) $(LDFLAGS) $(LIBS)

DISTFILES = COPYING Makefile README debian/* examples/*.pure glpk.c glpk.pure
SEDFILES = README

all: glpk$(DLL)

glpk$(DLL): glpk.c
	$(CC) $(shared) $(dllname) -o $@ $(MOD_CFLAGS) $< $(MOD_LDFLAGS)

clean:
	rm -Rf *$(DLL)* *~ *.a *.o

# documentation (this needs docutils)

rst2html = $(shell which rst2html 2>/dev/null || which rst2html.py 2>/dev/null || echo rst2html)
rst2latex = $(shell which rst2latex 2>/dev/null || which rst2latex.py 2>/dev/null || echo rst2latex)

html: pure-glpk.html
latex: pure-glpk.tex
pdf: pure-glpk.pdf

pure-glpk.html: README
	$(rst2html) $< $@

pure-glpk.tex: README
	$(rst2latex) -i utf8 -o utf8 $< $@

pure-glpk.pdf: pure-glpk.tex
	pdflatex $<
	rm -f *.aux *.log *.out

install:
	test -d "$(DESTDIR)$(libdir)/pure" || mkdir -p "$(DESTDIR)$(libdir)/pure"
	cp glpk.pure glpk$(DLL) "$(DESTDIR)$(libdir)/pure"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/pure/glpk.pure" "$(DESTDIR)$(libdir)/pure/glpk$(DLL)"

date = $(shell date "+%B %-d, %Y")
datesubst = sed -e "s?@version@?$(version)?g" -e "s?|today|?$(date)?g" < $(1) > $(2)

dist:
	rm -rf $(dist)
	mkdir $(dist) && mkdir $(dist)/debian && mkdir $(dist)/examples
	for x in $(DISTFILES); do ln -sf $$PWD/$$x $(dist)/$$x; done
	for x in $(SEDFILES); do rm -f $(dist)/$$x; $(call datesubst,$$PWD/$$x,$(dist)/$$x); done
	rm -f $(dist).tar.gz
	tar cfzh $(dist).tar.gz $(dist)
	rm -rf $(dist)

distcheck: dist
	tar xfz $(dist).tar.gz
	cd $(dist) && make && make install DESTDIR=./BUILD
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv https://github.com/agraef/pure-lang/releases/download/$(dist)/$(dist).tar.gz -O $@

=== debian/changelog ===
pure-glpk (0.6-1) focal; urgency=medium

  * New release, GLPK 5.x compatibility

 -- Albert Graef <aggraef@gmail.com>  Wed, 28 Apr 2021 17:33:20 +0200

pure-glpk (0.5-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Fri, 12 Sep 2014 14:51:42 +0200

pure-glpk (0.4-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 19 Sep 2013 08:35:39 +0200

pure-glpk (0.3-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 02 Apr 2013 18:34:56 +0200

pure-glpk (0.2-2) natty; urgency=low

  * Fix package dependencies

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 19:20:45 +0200

pure-glpk (0.2-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 12:03:08 +0200

=== debian/control ===
Source: pure-glpk
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libglpk-dev (>= 4.42), unixodbc-dev, libltdl-dev, zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-glpk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GLPK interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a feature complete GLPK interface for the
 Pure programming language, which lets you use all capabilities of the GNU
 Linear Programming Kit (GLPK) directly from Pure.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://bitbucket.org/purelang/pure-lang/downloads/pure-glpk-(.*)\.tar\.gz
